import dagger.Subcomponent;

@Subcomponent
public interface Dialog${NAME}Component {

    @Subcomponent.Factory
    interface Factory {
        Dialog${NAME}Component create();
    }

    void inject(Dialog${NAME}View dialog${NAME}View);
}